/*
 * dvr.h
 *
 *  Created on: 02.03.2010
 *      Author: artymen
 *   / 
 */

#ifndef DVR_H_
#define DVR_H_

#include <dvr_system.h>

#ifndef BIT
#define BIT(n)				(1 << (n))
#endif

/* Camera */
// I2C
#define	CAM_I2C			0
#define	CAM_SCL_PIN		2
#define	CAM_SDA_PIN		3
#define CAM_I2C_ADDR	0x60
//  
#define	CAM_RESET_PIN	14
#define	CAM_XVCLK_PIN	21
#define CAM_XVCLK_TMR	3
#define CAM_XVCLK_MR	0
// 
#define	CAM_VSYNC_PIN		4
#define	CAM_HREF_PIN		20
#define	CAM_PCLK_PIN	15
#define CAM_D9_PIN	18
#define CAM_D8_PIN	17
#define CAM_D7_PIN	11
#define CAM_D6_PIN	10
#define CAM_D5_PIN	9
#define CAM_D4_PIN	8
#define CAM_D3_PIN	7
#define CAM_D2_PIN	6

/*  */
#define	DEBUG_LED_PIN	26

#define IMG_WIDTH		88
#define IMG_HEIGHT		72
//#define IMG_WIDTH		176
//#define IMG_HEIGHT		144

#define DEBUG_UART_BAUD 115200
//#define DEBUG_UART

#endif /* DVR_H_ */
